      subroutine mulooov(a,j,k,l,aa)
      ! On a a>=j>=k>=l
      use module
      IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
      dimension aa(3)
      integer a
      call mulooovdx(a,j,k,l,aa(1),aa(2))
      call mulooovdx(a,l,k,j,aa(1),aa(3))
      call mulooovdx(a,k,l,j,aa(2),aa(3))
      return
!      call mulooovd(a,j,k,l,aa(1))
!      call mulooovd(a,l,k,j,aa(1))
!      call mulooovd(a,j,l,k,aa(2))
!      call mulooovd(a,k,l,j,aa(2))
!      call mulooovd(a,k,j,l,aa(3))
!      call mulooovd(a,l,j,k,aa(3))
!      if(k.ne.l) call mulooovx(j,a,l,k,aa(1)-aa(2))
!      if(k.ne.l) call mulooovx(l,a,k,j,-(aa(1)-aa(3)))
!      if(k.ne.l) call mulooovx(k,a,l,j,aa(3)-aa(2))
      return
      end
       subroutine muloov(i,a,k,aa)
      use module
      IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
      dimension aa(2)
      integer a
      call mulooovdx(a,k,i,i,aa(1),aa(1))
      call mulooovdx(a,i,i,k,aa(1),aa(2))
      return
!      ! Integrale iijk
!      if(w)print*,'muloov Integrale iijk'
!      call mulooovd(a,k,i,i,aa(1))
!      call mulooovd(a,i,i,k,aa(1))
!      ! Integrale ijik
!      if(w)print*,'muloov Integrale ijik'
!      call mulooovd(a,i,k,i,aa(2))
!      if(w)print*,'muloov mulooovx',a,i,k,i
!      call mulooovx(i,a,i,k,-(aa(2)-aa(1)))
      return
      end
